%global vagrant_plugin_name vagrant-ovirt3

Name:          %{vagrant_plugin_name}
Version:       1.2.0
Release:       1%{?dist}
Summary:       Vagrant provider for oVirt
Group:         Development/Languages
License:       MIT
URL:           https://github.com/myoung34/vagrant-ovirt3
Source0:       https://rubygems.org/gems/%{vagrant_plugin_name}-%{version}.gem

Requires(pre):       shadow-utils
Requires(posttrans): vagrant
Requires(preun):     vagrant
Requires:      ruby(release)
Requires:      ruby(rubygems)
Requires:      rubygem-fog => 1.23.0-3
Requires:      rubygem(fog) < 2
Requires:      rubygem(rbovirt) >= 0.0.31
Requires:      vagrant
BuildRequires: vagrant
BuildRequires: rubygem(rspec) < 3
BuildRequires: rubygem(fog)
BuildRequires: rubygem(rbovirt)
BuildArch:     noarch

# Relax the requirement on the fog library as fog 0.27
# isn't fully packaged yet for Fedora and the relevant
# commits are backported to rubygem-fog-1.23.0-3. Patch
# can be removed once fog 0.27 has become available in Fedora
Patch0:        vagrant-ovirt3-relax-fog-requirement.patch

%description
Vagrant provider for oVirt/RHEV.

%package doc
Summary:       Documentation for %{name}
Group:         Documentation
Requires:      %{name} = %{version}-%{release}
BuildArch:     noarch

%description doc
Documentation for %{name}.

%prep
[ -d %{vagrant_plugin_name}-%{version} ] && rm -rf %{vagrant_plugin_name}-%{version}
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{vagrant_plugin_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{vagrant_plugin_name}.gemspec
%patch0 -p1

%build
gem build %{vagrant_plugin_name}.gemspec
%vagrant_plugin_install

%install
mkdir -p %{buildroot}%{vagrant_plugin_dir}
cp -a .%{vagrant_plugin_dir}/* \
        %{buildroot}%{vagrant_plugin_dir}/


%posttrans
%vagrant_plugin_register %{vagrant_plugin_name}

%preun
%vagrant_plugin_unregister %{vagrant_plugin_name}

%files
%dir %{vagrant_plugin_instdir}
%{vagrant_plugin_libdir}
%{vagrant_plugin_instdir}/locales
%{vagrant_plugin_instdir}/tools
%exclude %{vagrant_plugin_cache}
%exclude %{vagrant_plugin_instdir}/.gitignore
%{vagrant_plugin_spec}

%files doc
%doc %{vagrant_plugin_docdir}
%doc %{vagrant_plugin_instdir}/example_box
%doc %{vagrant_plugin_instdir}/LICENSE
%doc %{vagrant_plugin_instdir}/README.md
%{vagrant_plugin_instdir}/Rakefile
%{vagrant_plugin_instdir}/Gemfile
%{vagrant_plugin_instdir}/vagrant-ovirt3.gemspec


%changelog
* Tue Feb 24 2015 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.0-1
- Initial release (based on vagrant-libvirt 0.0.23-3)

